vmtk (1.5.0~git20260410.ba7cf0f+dfsg1-5) unstable; urgency=medium

  * Add Build-Depends on python3-vtk9, and debian/py3dist-overrides to say that
    the vtk python dependency is provided by the python3-vtk9 debian package.

 -- Francesco Ballarin <ballarin@debian.org>  Sun, 03 May 2026 09:32:12 +0000

vmtk (1.5.0~git20260410.ba7cf0f+dfsg1-4) unstable; urgency=medium

  * Use find instead of shell expansion to locate executables to be passed to
    help2man.

 -- Francesco Ballarin <ballarin@debian.org>  Sat, 02 May 2026 05:26:57 +0000

vmtk (1.5.0~git20260410.ba7cf0f+dfsg1-3) unstable; urgency=medium

  * Add patch build_no_git.diff to prevent CMake from looking from git.
    Upstream uses git to clone test data, which are not needed here because
    (a) we only run tests on debci and not during the build, and
    (b) even if we were to run tests here, test data would be packaged in
        vmtk-test-data and not downloaded on the fly at configuration time.

 -- Francesco Ballarin <ballarin@debian.org>  Fri, 01 May 2026 15:25:06 +0000

vmtk (1.5.0~git20260410.ba7cf0f+dfsg1-2) unstable; urgency=medium

  * Provide a local copy of vtkAddon cmake files, instead of downloading
    them from GitHub. An helper script is provided to update them in future,
    if needed. Closes: #1135078.
  * Move back to non-free, because of files licensed with 3D-Slicer-1.0, which
    is not DFSG compliant. See the review at
        https://dfsg-new-queue.debian.org/reviews/
        vmtk/1.5.0~git20260410.ba7cf0f+dfsg1-1
    for the full analysis.
  * Add back XS-Autobuild: yes
  * Change override_dh_install into execute_before_dh_install in d/rules
  * Ignore lintian warning description-synopsis-starts-with-article.
    Upstream consistently puts "The" in front of "Vascular Modeling Toolkit",
    there is no reason for us to change this convention.
  * Add automatic generation of manpages.
  * Fix spelling-error-in-copyright and spelling-error-in-copyright lintian
    pedantic comments
  * Ignore false positive space-in-std-shortname-in-dep5-copyright lintian
    warning d/copyright actually contains "-(VTK)-" rather than "- vtk -"
  * Ignore maintainer-manual-page lintian message, as it would not be practical
    for upstream developers to maintain more than 180 man pages

 -- Francesco Ballarin <ballarin@debian.org>  Fri, 01 May 2026 07:03:08 +0000

vmtk (1.5.0~git20260410.ba7cf0f+dfsg1-1) unstable; urgency=medium

  * Force repack with +dfsg1 suffix, stripping non-free tetgen 1.4.3:
    - add Build-Depends on libtet-dev
    - drop tetgen-O1.diff, since tetgen is not being built anymore
    - move from non-free to main
    - set VTK_VMTK_BUILD_TETGEN to OFF
    - the command
        mv debian/tmp/usr/bin/libtet.a debian/tmp/usr/lib/
      is not necessary anymore in d/rules
    - requires patch build_vtkvmtkTetGenWrapper_with_system_tet.diff
      to force building vtkVmtk/Misc/vtkvmtkTetGenWrapper.cxx using
      system tetgen
  * Sort Build-Depends for easier maintenance
  * Update libvmtk1.5.lintian-overrides with new libraries

 -- Francesco Ballarin <ballarin@debian.org>  Mon, 27 Apr 2026 08:37:40 +0000

vmtk (1.5.0~git20260410.ba7cf0f-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - newly created
    - list reference to paper and entries registries, amongst with biii
  * debian/upstream/edam: Providing minimal annotation.

  [ Andreas Tille ]
  * Point Vcs fields to salsa.debian.org
  * Build-Depends vtk7 packages
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Drop ancient X-Python-Version field (routine-update)
  * Add salsa-ci file (routine-update)
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Drew Parsons ]
  * update packages to Python 3 (remove Python 2). Closes: #938795.
  * Build-Depends: libvtkgdcm-dev not libvtkgdcm2-dev

  [ Francesco Ballarin ]
  * Tentatively reinstate package into the debian archive, after it was
    removed on Fri, 24 Jun 2022 14:47:59 +0000 (see Bug: #1008792).
    Upstream has restarted some maintenance of the package, and
    https://github.com/vmtk/vmtk/pull/484
    mentions that future releases will be published on PyPI.
  * Update d/watch to v5. Until proper releases are made upstream, we will
    simply fetch the current HEAD and provide release versions of the form
    v1.5.0~git{date}.{commit}. The latest release available on GitHub
    (dated 2018) is v1.4.0, but upstream commit bf0748b8 (dated 2022)
    has increased the version number to 1.5.0 in the main CMakeLists.txt file
    - New ABI 1.5, instead of former one 1.3 that was present in the latest
      debian upload.
  * Remove outdated TODO file
  * Add F. Ballarin to uploaders
  * Standards-Version: 4.7.4 (routine-update)
  * Fix Maintainer name of Debian Science team (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Reorder Files paragraphs in debian/copyright by directory depth.
  * Refresh debian/patches/tetgen-O1.diff
  * Remove outdated copyright_hints file
  * Build depend on libinsighttoolkit5-dev, instead of on ancient
    libinsighttoolkit4-dev.
  * Drop obsolete fields XS-Autobuild and Rules-Requires-Root from d/control
  * Disable Salsa CI
  * Drop -DVTK_VMTK_WRAP_TCL:BOOL=OFF from d/rules, since cmake states that the
    option is actually unused.
  * Add -DVTK_VMTK_WRAP_JAVA:BOOL=OFF to d/rules, since without it we get a
    configuration error saying that wrapping Java is not possible with vtk9.
  * Build depend on libfreetype-dev instead of on ancient libfreetype6-dev
  * Explicitly pass -DVMTK_PYTHON_VERSION to cmake, otherwise the folder
    python. gets created in dist-packages, instead of (e.g.) python 3.13
  * Explicitly pass -DVMTK_SCRIPTS_INSTALL_LIB_DIR,
    -DVMTK_CONTRIB_SCRIPTS_INSTALL_LIB_DIR, -DPYPES_MODULE_INSTALL_LIB_DIR,
    -DVTK_VMTK_MODULE_INSTALL_LIB_DIR to ensure that scripts are
    installed in dist-packages rather than site-packages. The flag
    -DVMTK_MODULE_INSTALL_LIB_DIR was instead already provided.
  * Temporarily skip installing generated *.cmake files, because they seem to
    hardcode the path of the source directory, resulting in non-portable cmake
    files
  * Disable -DVMTK_MINIMAL_INSTALL, so that end user scripts are installed in
    /usr/bin
  * Change shebang to use python3 instead of python, to avoid having to add a
    runtime dependency on python-is-python3
  * Move libtet.a from /usr/bin to /usr/lib
  * Remove spurious /usr/bin/__init__, which comes because CMake iterates
    over all vmtk scripts and strips the .py extension. The __init__.py file
    is clearly not meant to be a script.
  * Fix old-fsf-address-in-copyright-file lintian warning
  * Add build dependency and runtime dependency on python3-joblib, because
    the script vmtkcenterlinesnetwork.py imports it.
  * Enable CMake option VMTK_USE_RENDERING in order to build
    vtkvmtkImagePlaneWidget and vtkvmtkInteractorStyleTrackballCamera
  * Add patch test_vtkvmtkStaticTemporal_incompatible_vtk9.2.diff to disable
    checks of vtkvmtkStaticTemporalInterpolatedVelocityField and
    vtkvmtkStaticTemporalStreamTracer, which are incompatible with vtk >= 9.2
  * Add autopkgtest

 -- Francesco Ballarin <ballarin@debian.org>  Sun, 26 Apr 2026 17:22:02 +0000

vmtk (1.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Drop build-depends on openjpeg.  Closes: #826828

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 10 Aug 2016 10:09:20 +0000

vmtk (1.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Move the packaging to git.
  * Run cme fix dpkg-control.
  * Bump lib package name after soname bump.  Closes: #821411
  * Reinstate some lintian overrides removed in the previous upload.
  * Remove non-distributable Windows DLL.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 11 May 2016 15:34:10 +0000

vmtk (1.3-2) unstable; urgency=medium

  * Team upload.
  * Fix install of hardcoded stuff (Closes: #821298).
  * Use plain dh calls.
  * Drop cdbs
  * Use install files instead of hacky rules.
  * Enable hardening
  * use wl-asneeded to avoid overlinking.
  * Drop lintian overrides.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 17 Apr 2016 10:28:43 +0200

vmtk (1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #801820)
  * Bump std-version and compat level to 3.9.8 and 9.
  * Build against itk4 and vtk6
  * Fix watch file.
  * Add libfftw3-dev dependency
  * Fix copyright file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 16 Apr 2016 23:09:46 +0200

vmtk (1.0.1-3) unstable; urgency=low

  * debian/control:
    - Remove DM-Upload-Allowed field.
    - Remove libgdcm2-dev from Build-Depends (closes: #731920).
    - Use canonical URIs for Vcs-* fields.
    - Bump Standards-Version to 3.9.4 (no changes needed).
    - Replace python-support with dh-python.
    - Bump minimum required cdbs package version to 0.4.90~.
    - Bump minimum required python-dev package version to 2.6.6-3~.
    - Remove all XB-Python-Version lines.
    - Replace XS-Python-Version with X-Python-Version.
  * debian/rules: Replace call on dh_pysupport with dh_python2.

 -- Johannes Ring <johannr@simula.no>  Wed, 11 Dec 2013 11:52:08 +0100

vmtk (1.0.1-2) unstable; urgency=low

  * Build tetgen with -O1 instead of -O0 to work around a build failure
    on armhf. See LP: #1049614.
  * debian/control:
    - Use unversioned libtiff-dev instead of libtiff4-dev (closes: #682714).

 -- Johannes Ring <johannr@simula.no>  Thu, 01 Aug 2013 10:15:39 +0200

vmtk (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Replace libvmtk0.9 with libvmtk1.0.
  * debian/rules:
    - Update VTK_DIR to vtk 5.8 (closes: #676596).
    - Turn on USE_SYSTEM_{VTK,ITK} since default is now to download these.
    - Rename install/libvmtk0.9 target to install/libvtmk1.0.
  * Remove patch (fixed upstream).
  * Update lintian overrides.
  * Switch to machine-readable format in debian/copyright.

 -- Johannes Ring <johannr@simula.no>  Fri, 08 Jun 2012 08:07:49 +0200

vmtk (0.9.0-7) unstable; urgency=low

  * debian/control:
    - Replace libpng12-dev with libpng-dev in Build-Depends (closes: #662541).
    - Add libvtkgdcm2-dev, libvtk5-qt4-dev and libvtk-java in Build-Depends.
    - Bump Standards-Versions to 3.9.3 (no changes needed).
  * debian/rules:
    - Update GDCM_DIR to /usr/lib/gdcm-2.2.

 -- Johannes Ring <johannr@simula.no>  Wed, 21 Mar 2012 13:15:36 +0100

vmtk (0.9.0-6) unstable; urgency=low

  * Add patch to fix problem with Python.h not found (closes: 650586).

 -- Johannes Ring <johannr@simula.no>  Mon, 19 Dec 2011 11:18:55 +0100

vmtk (0.9.0-5) unstable; urgency=low

  * debian/rules: Enable contrib scripts.
  * Add more lintian overrides.

 -- Johannes Ring <johannr@simula.no>  Mon, 05 Sep 2011 13:34:30 +0200

vmtk (0.9.0-4) unstable; urgency=low

  * Make package autobuildable:
    - Set "XS-Autobuild: yes" in debian/control.
    - Add note in debian/copyright.
  * debian/control:
    - Replace libjpeg62-dev with libjpeg-dev in Build-Depends.
    - Bump Standards-Version to 3.9.2 (no changes needed).

 -- Johannes Ring <johannr@simula.no>  Tue, 19 Jul 2011 15:27:19 +0200

vmtk (0.9.0-3) unstable; urgency=low

  * Update/rebuild to use vtk 5.6 (closes: 621070):
    - Set VTK_DIR to /usr/lib/vtk-5.6 in DEB_CMAKE_EXTRA_FLAGS in
      debian/rules.
  * debian/control:
    - Remove old Conflicts, Replaces, and Provides fields for all binary
      packages.
    - Bump Standards-Version to 3.9.1 (no changes needed).

 -- Johannes Ring <johannr@simula.no>  Wed, 06 Apr 2011 20:31:24 +0200

vmtk (0.9.0-2) unstable; urgency=low

  * debian/rules:
    - Enable building of contrib classes. Update lintian-overrides
      accordingly.
    - Minor fix for Python 2.7 for binary package python-vmtk.
  * debian/control: Set XS-Python-Version to ">= 2.3" (closes: #606857).
  * debian/copyright: Remove reference to deprecated BSD license file
    and add full license text.

 -- Johannes Ring <johannr@simula.no>  Mon, 14 Feb 2011 13:54:35 +0100

vmtk (0.9.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Add DM-Upload-Allowed: yes.
    - Bump XS-Python-Version field to 2.6.
  * debian/rules: Use uscan in get-orig-source target.

 -- Johannes Ring <johannr@simula.no>  Fri, 06 Aug 2010 14:34:09 +0200

vmtk (0.9~bzr276-1) unstable; urgency=low

  * Initial release (Closes: #584222)

 -- Johannes Ring <johannr@simula.no>  Thu, 03 Jun 2010 19:11:14 +0200
